From 2246ffa6fa1cbce92835e984f153ce45f2aae155 Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sat, 2 Dec 2023 01:39:10 +0100
Subject: [PATCH 41/54] feat: frame around plain gtk fan curve frame

---
 .../thermals_page/fan_curve_frame/mod.rs          | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

diff --git a/lact-gui/src/app/root_stack/thermals_page/fan_curve_frame/mod.rs b/lact-gui/src/app/root_stack/thermals_page/fan_curve_frame/mod.rs
index 970d078a..a66e1675 100644
--- a/lact-gui/src/app/root_stack/thermals_page/fan_curve_frame/mod.rs
+++ b/lact-gui/src/app/root_stack/thermals_page/fan_curve_frame/mod.rs
@@ -11,7 +11,12 @@ use std::rc::Rc;
 
 #[derive(Debug, Clone)]
 pub struct FanCurveFrame {
+    #[cfg(feature = "libadwaita")]
     pub container: Box,
+
+    #[cfg(not(feature = "libadwaita"))]
+    pub container: Frame,
+
     curve_container: ScrolledWindow,
     points: Rc<RefCell<Vec<PointAdjustment>>>,
 }
@@ -24,7 +29,7 @@ impl FanCurveFrame {
             .height_request(450)
             .build();
 
-        let hbox = Box::new(Orientation::Horizontal, 5);
+        let hbox = Box::new(Orientation::Horizontal, 6);
 
         let curve_container = ScrolledWindow::builder()
             .vscrollbar_policy(PolicyType::Never)
@@ -77,7 +82,15 @@ impl FanCurveFrame {
         let points = Rc::new(RefCell::new(Vec::new()));
 
         let curve_frame = Self {
+            #[cfg(feature = "libadwaita")]
             container: root_box,
+
+            #[cfg(not(feature = "libadwaita"))]
+            container: Frame::builder()
+                .css_classes(["view"])
+                .child(&root_box)
+                .build(),
+
             curve_container,
             points,
         };

